
Foreman - Feature #5077

Allow additional template helpers and variables from plugins

04/04/2014 01:56 PM - Dominic Cleal

Status: Closed   

Priority: Normal   

Assignee: Ivan Necas   

Category: Templates   

Target version: 1.5.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Plugins should be able to permit new helpers and variables to be accessed via safemode when rendering templates, to support 

#4966.

https://github.com/theforeman/foreman/pull/1355

Related issues:

Blocks Katello - Bug #4966: Rendering of Katello Kickstart Default template f... Closed 03/31/2014

Associated revisions

Revision 869bbffe - 04/04/2014 02:20 PM - Ivan Necas

fixes #5077 - refactor safemode rendering to allow helpers and variables from plugins

History

#1 - 04/04/2014 01:56 PM - Dominic Cleal

- Blocks Bug #4966: Rendering of Katello Kickstart Default template fails on "Safemode doesn't allow to access

'subscription_manager_configuration_url'" added

#2 - 04/04/2014 02:31 PM - Ivan Necas

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 869bbffe4a6393404db2293d04df0be2b95ccabe.

#3 - 04/07/2014 10:40 AM - Dominic Cleal

Documentation: http://projects.theforeman.org/projects/foreman/wiki/How_to_Create_a_Plugin#Extend-safemode-access
